%define	realname	Catalyst-Devel
%define	modprefix	Catalyst
%define	name		perl-%{realname}

%define	realversion	1.02
%define	version		1.08

%define	release		%mkrel 1

Summary:	Catalyst Development Tools
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}/
Source:		http://www.cpan.org/modules/by-module/%{modprefix}/%{realname}-%{realversion}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel >= 5.8.1
%endif
BuildRequires:	perl(Catalyst) >= 5.7000
BuildRequires:	perl(Catalyst::Action::RenderView) >= 0.04
BuildRequires:	perl(Catalyst::Plugin::ConfigLoader)
BuildRequires:	perl(Catalyst::Plugin::Static::Simple) >= 0.14
BuildRequires:	perl(Class::Accessor::Fast)
BuildRequires:	perl(File::Copy::Recursive)
BuildRequires:	perl(Module::Install) >= 0.64
BuildRequires:	perl(Path::Class) >= 0.09
BuildRequires:	perl(Template) >= 2.14
BuildRequires:	perl(YAML) >= 0.55
Requires:	perl >= 5.8.1
Requires:	perl-Catalyst >= 5.7000
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
Catalyst is an elegant web application framework, extremely flexible yet
extremely simple. It's similar to Ruby on Rails, Spring (Java) and Maypole,
upon which it was originally based.

This package provides Catalyst development tools.


%prep
%setup -q -n %{realname}-%{realversion}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%__make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/%{modprefix}*
%{perl_vendorlib}/Module
%{_mandir}/*/*

%clean
rm -rf %{buildroot}




%changelog
* Tue Jul 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-1mdv2009.0
+ Revision: 235783
- update to new version 1.08

* Wed Jun 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-1mdv2009.0
+ Revision: 215032
- update to new version 1.07

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-1mdv2009.0
+ Revision: 193750
- update to new version 1.06

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.03-1mdv2008.1
+ Revision: 136668
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2008.0
+ Revision: 63920
- update to new version 1.03


* Tue Jan 30 2007 Scott Karns <scottk@mandriva.org> 1.02-1mdv2007.0
+ Revision: 115427
- Updated to CPAN version 1.02

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Catalyst-Devel

* Thu Sep 21 2006 Scott Karns <scottk@mandriva.org> 1.01-1mdv2007.0
- 1.01 CPAN release

* Sun Jul 09 2006 Scott Karns <scottk@mandriva.org> 1.00-1mdv2007.0
- 1.00 CPAN release

* Thu Jun 29 2006 Scott Karns <scottk@mandriva.org> 0.99.01-1mdv2007.0
- First Mandriva release: 0.99_01 CPAN developer release

